### Method

# Gtk DirectoryListset_file

#### Declaration [src]

    void
    gtk_directory_list_set_file (
      GtkDirectoryList* self,
      GFile* file
    )

#### Description [src]

Sets the `file` to be enumerated and starts the enumeration.

If `file` is `NULL`, the result will be an empty list.

Sets property | `Gtk.DirectoryList:file`

#### Parameters

`file`

  Type: `GFile`

  The `GFile` to be enumerated.

  The argument can be `NULL`.
  The data is owned by the caller of the method.